Subject: Re: [PATCH v2] r8169: remove "PHY reset until link up" log spam

From: Peter Wu <[email-masked]>
Date: Tue, 23 Jul 2013 22:48:51 +0200

On Tuesday 23 July 2013 22:23:12 Francois Romieu wrote:
> Peter Wu <[email-masked]> :
> > This message was added in commit a7154cb8 (June 2004, [PATCH] r8169:
> > link handling and phy reset rework) and is printed every ten seconds
> > when no cable is connected.
> 
> +                            and runtime power management is disabled.
> It isn't completely academic: Fedora has it enabled.
I have not really considered runtime PM before, aren't the ethtool operations 
actually broken with runtime PM enabled? Or does the ethtool core take care of 
waking devices (which I doubt)? I don't see any attempt to wake devices in the 
r8169 ethtool operations.

> You have the implicit ack of David, so please keep the facts right.
I am not trying to hide details, before I send the third revision of third 
commit message, what other details may I have overseen? If you want to, you 
can also create a patch with an appropriate commit message, I don't mind.

Regards,
Peter